Skip to main content
GET
/
reports
Get Reports
curl --request GET \
  --url https://api.chainabuse.com/v0/reports \
  --header 'Authorization: Basic <encoded-value>'
{
  "reports": [
    {
      "id": "52907745-7672-470e-a803-a2f8feb52944",
      "trusted": true,
      "checked": true,
      "scamCategory": "RUG_PULL",
      "createdAt": "2022-09-09T04:53:16.591Z",
      "addresses": [
        {
          "address": "12QeMLzSrB8XH8FvEzPMVoRxVAzTr5XM2y",
          "chain": "BTC",
          "domain": null
        },
        {
          "address": null,
          "chain": null,
          "domain": "scammer.com"
        }
      ]
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

address
string

(Optional if a domain is passed). Crypto addresses to screen.

before
string<date-time>

Optional. Threshold date to use as a filter.

category
enum<string>

Optional. Scam category to use as filter.

Available options:
RUG_PULL,
UKRANIAN_DONATION_SCAM,
DONATION_SCAM,
SEXTORTION,
SIM_SWAP,
PHISHING,
RANSOMWARE,
CONTRACT_EXPLOIT,
AIRDROP,
ROMANCE,
PIGBUTCHERING,
OTHER,
FAKE_PROJECT,
OTHER_BLACKMAIL,
IMPERSONATION,
FAKE_RETURNS,
UPGRADE_SCAM,
MAN_IN_THE_MIDDLE_ATTACK,
OTHER_HACK,
OTHER_INVESTMENT_SCAM
chain
enum<string>

(Optional if a URL is passed). Chain to use as filter.

Available options:
BTC,
ETH,
TRON,
SOL,
POLYGON,
BINANCE,
HBAR,
CARDANO,
LITECOIN,
AVALANCHE,
MULTIVERSX,
ARBITRUM,
ALGORAND,
BASE,
TON
checked
boolean

Optional. True: report checked by our team of moderators including blockchain intelligence experts. False: report could not be verified by our team of moderators.

country
string

Optional. An ISO 3166-1 alpha-2 code e.g. AE for United Arab Emirates, CA for Canada, GB for United Kingdom, etc. Usage: ?country=CA to filter reports within Canada

domain
string

(Optional if an address is passed). URL to screen.

includePrivate
boolean
default:false

Optional. Defaults to false. Only users with TRM_INTERNAL role can toggle. True: private reports are included in the response. False: private reports are hidden from the response.

minLossAmount
number<double>

Optional. Filters reports with at least the amount passed (Currently, only usd asset are supported and others will be ignored).

Required range: x >= 0
orderByDirection
enum<string>

ASC = latest reports first. DESC = oldest report first if several reports are pulled out.

Available options:
ASC,
DESC
orderByField
enum<string>

Orders reports by date if several reports are pulled out.

Available options:
CREATED_AT,
SUBMITTED_BY
page
number<double>
default:1

Optional. Number of pages of reports to pull out. The maximum number of reports per page is 50.

Required range: x >= 1
perPage
number<double>
default:50

Optional. Number of reports to display per page. The maximum number of reports per page is 50.

Required range: 1 <= x <= 50
scammerIoc
string

Optional. Filters reports based on passed indicator of compromise.

since
string<date-time>

Optional. Start date to use as a filter.

trusted
boolean

Optional. True: reported by a trusted contributor, based on how this Partner detects and verifies information. False: the reporter is not registered as a trusted contributor.

username
string

Optional. The contributor's username.

Response

Ok

reports
object[]
required
count
number<double>
required
Last modified on June 5, 2026